Bug 455756 - [RHEL4/Xen]: Allow attach of > 16 xvd devices
Summary: [RHEL4/Xen]: Allow attach of > 16 xvd devices
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen
Version: 4.8
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Chris Lalancette
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-07-17 16:06 UTC by Chris Lalancette
Modified: 2009-05-18 19:35 UTC (History)
2 users (show)

(edit)
Previously, paravirtualized guests could only have a maximum of 16 disk devices. In this update, this limit has been increased to a maximum of 256 disk devices.
Clone Of:
(edit)
Last Closed: 2009-05-18 19:35:43 UTC


Attachments (Terms of Use)
Finish expanding scsi devices in RHEL-4 (809 bytes, patch)
2008-07-23 10:12 UTC, Chris Lalancette
no flags Details | Diff
Expand RHEL-4 blkfront to support > 16 xvd devices (5.81 KB, patch)
2008-07-23 10:12 UTC, Chris Lalancette
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Chris Lalancette 2008-07-17 16:06:27 UTC
Description of problem:
Customers often ask for the ability to attach greater than 16 devices to their
running PV domains.  RHEL 5.3 is adding the dom0 bits to do this, however, there
are some minor changes to the blkfront driver necessary to fully enable this.

Comment 3 Chris Lalancette 2008-07-23 10:12:09 UTC
Created attachment 312457 [details]
Finish expanding scsi devices in RHEL-4

Comment 4 Chris Lalancette 2008-07-23 10:12:42 UTC
Created attachment 312458 [details]
Expand RHEL-4 blkfront to support > 16 xvd devices

Comment 5 Vivek Goyal 2008-10-15 21:22:09 UTC
Committed in 78.14.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 8 Chris Lalancette 2009-02-02 07:49:02 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, paravirtualized guests could only have a maximum of 16 disk devices. In this update, this limit has been increased to a maximum of 256 disk devices.

Comment 13 errata-xmlrpc 2009-05-18 19:35:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.